
classdef TempFile
    % A class which automatically clears a tempfile as soon as the
    % class instance is destroyed.
    
    properties
        filename ='';
        oncleanup = '';
    end
    
    methods
        function [obj] = TempFile(filename)
            obj.filename = filename;
            obj.oncleanup = onCleanup(@() matvhist.TempFile.removeTempFile(obj.filename));
        end
    end
        
    methods (Static)
        function [] = removeTempFile(filename)
            %fprintf('deleting tempfile %s\n', filename);
            matvhist.deleteTemps({filename});
        end
    end
    
end
