function hostname = getHostname()
% GETHOSTNAME    Returns the name of the current host.
%    Returns the name of the computer, on which Matlab is running.
%    If the hostname can not be determined, an empty cell array {} will be
%    returned.

if isunix
    command = 'hostname';
    [result, hostname] = system(command);
    if result ~= 0
        hostname = {};
    end
else
    hostname = getenv('COMPUTERNAME');
    if strcmp(hostname, '')
        hostname = {};
    end
end

hostname = strtrim(hostname);

end
