
function [mimetype] = getMimeType(filename)

mimes = containers.Map;
mimes('') =     'application/octet-stream';
mimes('323') =	'text/h323';
mimes('acx') =	'application/internet-property-stream';
mimes('ai') =	'application/postscript';
mimes('aif') =	'audio/x-aiff';
mimes('aifc') =	'audio/x-aiff';
mimes('aiff') =	'audio/x-aiff';
mimes('asf') =	'video/x-ms-asf';
mimes('asr') =	'video/x-ms-asf';
mimes('asx') =	'video/x-ms-asf';
mimes('au') =	'audio/basic';
mimes('avi') =	'video/x-msvideo';
mimes('axs') =	'application/olescript';
mimes('bas') =	'text/plain';
mimes('bcpio') =	'application/x-bcpio';
mimes('bin') =	'application/octet-stream';
mimes('bmp') =	'image/bmp';
mimes('c') =	'text/plain';
mimes('cat') =	'application/vnd.''ms-pkiseccat''';
mimes('cdf') =	'application/x-cdf';
mimes('cer') =	'application/x-x509-ca-cert';
mimes('class') =	'application/octet-stream';
mimes('clp') =	'application/x-msclip';
mimes('cmx') =	'image/x-cmx';
mimes('cod') =	'image/cis-cod';
mimes('cpio') =	'application/x-cpio';
mimes('crd') =	'application/x-mscardfile';
mimes('crl') =	'application/pkix-crl';
mimes('crt') =	'application/x-x509-ca-cert';
mimes('csh') =	'application/x-csh';
mimes('css') =	'text/css';
mimes('dcr') =	'application/x-director';
mimes('der') =	'application/x-x509-ca-cert';
mimes('dir') =	'application/x-director';
mimes('dll') =	'application/x-msdownload';
mimes('dms') =	'application/octet-stream';
mimes('doc') =	'application/msword';
mimes('docx') =	'application/vnd.openxmlformats-officedocument.wordprocessingml.''document''';
mimes('dot') =	'application/msword';
mimes('dvi') =	'application/x-dvi';
mimes('dxr') =	'application/x-director';
mimes('eps') =	'application/postscript';
mimes('etx') =	'text/x-setext';
mimes('evy') =	'application/envoy';
mimes('exe') =	'application/octet-stream';
mimes('fif') =	'application/fractals';
mimes('flr') =	'x-world/x-vrml';
mimes('gif') =	'image/gif';
mimes('gtar') =	'application/x-gtar';
mimes('gz') =	'application/x-gzip';
mimes('h') =	'text/plain';
mimes('hdf') =	'application/x-hdf';
mimes('hlp') =	'application/winhlp';
mimes('hqx') =	'application/mac-binhex40';
mimes('hta') =	'application/hta';
mimes('htc') =	'text/x-component';
mimes('htm') =	'text/html';
mimes('html') =	'text/html';
mimes('htt') =	'text/webviewhtml';
mimes('ico') =	'image/x-icon';
mimes('ief') =	'image/ief';
mimes('iii') =	'application/x-iphone';
mimes('ins') =	'application/x-internet-signup';
mimes('isp') =	'application/x-internet-signup';
mimes('jfif') =	'image/pipeg';
mimes('jpe') =	'image/jpeg';
mimes('jpeg') =	'image/jpeg';
mimes('jpg') =	'image/jpeg';
mimes('js') =	'application/x-javascript';
mimes('latex') =	'application/x-latex';
mimes('lha') =	'application/octet-stream';
mimes('lsf') =	'video/x-la-asf';
mimes('lsx') =	'video/x-la-asf';
mimes('lzh') =	'application/octet-stream';
mimes('m13') =	'application/x-msmediaview';
mimes('m14') =	'application/x-msmediaview';
mimes('m3u') =	'audio/x-mpegurl';
mimes('man') =	'application/x-troff-man';
mimes('mdb') =	'application/x-msaccess';
mimes('me') =	'application/x-troff-me';
mimes('mht') =	'message/rfc822';
mimes('mhtml') =	'message/rfc822';
mimes('mid') =	'audio/mid';
mimes('mny') =	'application/x-msmoney';
mimes('mov') =	'video/quicktime';
mimes('movie') =	'video/x-sgi-movie';
mimes('mp2') =	'video/mpeg';
mimes('mp3') =	'audio/mpeg';
mimes('mpa') =	'video/mpeg';
mimes('mpe') =	'video/mpeg';
mimes('mpeg') =	'video/mpeg';
mimes('mpg') =	'video/mpeg';
mimes('mpp') =	'application/vnd.''ms-project''';
mimes('mpv2') =	'video/mpeg';
mimes('ms') =	'application/x-troff-ms';
mimes('mvb') =	'application/x-msmediaview';
mimes('nws') =	'message/rfc822';
mimes('oda') =	'application/oda';
mimes('p10') =	'application/pkcs10';
mimes('p12') =	'application/x-pkcs12';
mimes('p7b') =	'application/x-pkcs7-certificates';
mimes('p7c') =	'application/x-pkcs7-mime';
mimes('p7m') =	'application/x-pkcs7-mime';
mimes('p7r') =	'application/x-pkcs7-certreqresp';
mimes('p7s') =	'application/x-pkcs7-signature';
mimes('pbm') =	'image/x-portable-bitmap';
mimes('pdf') =	'application/pdf';
mimes('pfx') =	'application/x-pkcs12';
mimes('pgm') =	'image/x-portable-graymap';
mimes('pko') =	'application/ynd.''ms-pkipko''';
mimes('pma') =	'application/x-perfmon';
mimes('pmc') =	'application/x-perfmon';
mimes('pml') =	'application/x-perfmon';
mimes('pmr') =	'application/x-perfmon';
mimes('pmw') =	'application/x-perfmon';
mimes('png') =  'image/png';
mimes('pnm') =	'image/x-portable-anymap';
mimes('pot') =	'application/vnd.''ms-powerpoint''';
mimes('ppm') =	'image/x-portable-pixmap';
mimes('pps') =	'application/vnd.''ms-powerpoint''';
mimes('ppt') =	'application/vnd.''ms-powerpoint''';
mimes('pptx') =	'application/vnd.openxmlformats-officedocument.presentationml.''presentation''';
mimes('prf') =	'application/pics-rules';
mimes('ps') =	'application/postscript';
mimes('pub') =	'application/x-mspublisher';
mimes('qt') =	'video/quicktime';
mimes('ra') =	'audio/x-pn-realaudio';
mimes('ram') =	'audio/x-pn-realaudio';
mimes('ras') =	'image/x-cmu-raster';
mimes('rgb') =	'image/x-rgb';
mimes('rmi') =	'audio/mid';
mimes('roff') =	'application/x-troff';
mimes('rtf') =	'application/rtf';
mimes('rtx') =	'text/richtext';
mimes('scd') =	'application/x-msschedule';
mimes('sct') =	'text/scriptlet';
mimes('setpay') =	'application/set-payment-initiation';
mimes('setreg') =	'application/set-registration-initiation';
mimes('sh') =	'application/x-sh';
mimes('shar') =	'application/x-shar';
mimes('sit') =	'application/x-stuffit';
mimes('snd') =	'audio/basic';
mimes('spc') =	'application/x-pkcs7-certificates';
mimes('spl') =	'application/futuresplash';
mimes('src') =	'application/x-wais-source';
mimes('sst') =	'application/vnd.''ms-pkicertstore''';
mimes('stl') =	'application/vnd.''ms-pkistl''';
mimes('stm') =	'text/html';
mimes('svg') =	'image/svg+''xml''';
mimes('sv4cpio') =	'application/x-sv4cpio';
mimes('sv4crc') =	'application/x-sv4crc';
mimes('swf') =	'application/x-shockwave-flash';
mimes('t') =	'application/x-troff';
mimes('tar') =	'application/x-tar';
mimes('tcl') =	'application/x-tcl';
mimes('tex') =	'application/x-tex';
mimes('texi') =	'application/x-texinfo';
mimes('texinfo') =	'application/x-texinfo';
mimes('tgz') =	'application/x-compressed';
mimes('tif') =	'image/tiff';
mimes('tiff') =	'image/tiff';
mimes('tr') =	'application/x-troff';
mimes('trm') =	'application/x-msterminal';
mimes('tsv') =	'text/tab-separated-values';
mimes('txt') =	'text/plain';
mimes('uls') =	'text/iuls';
mimes('ustar') =	'application/x-ustar';
mimes('vcf') =	'text/x-vcard';
mimes('vhist') =    'application/vhist';
mimes('vrml') =	'x-world/x-vrml';
mimes('wav') =	'audio/x-wav';
mimes('wcm') =	'application/vnd.''ms-works''';
mimes('wdb') =	'application/vnd.''ms-works''';
mimes('wks') =	'application/vnd.''ms-works''';
mimes('wmf') =	'application/x-msmetafile';
mimes('wps') =	'application/vnd.''ms-works''';
mimes('wri') =	'application/x-mswrite';
mimes('wrl') =	'x-world/x-vrml';
mimes('wrz') =	'x-world/x-vrml';
mimes('xaf') =	'x-world/x-vrml';
mimes('xbm') =	'image/x-xbitmap';
mimes('xla') =	'application/vnd.''ms-excel''';
mimes('xlc') =	'application/vnd.''ms-excel''';
mimes('xlm') =	'application/vnd.''ms-excel''';
mimes('xls') =	'application/vnd.''ms-excel''';
mimes('xlsx') =	'application/vnd.openxmlformats-officedocument.spreadsheetml.''sheet''';
mimes('xlt') =	'application/vnd.''ms-excel''';
mimes('xlw') =	'application/vnd.''ms-excel''';
mimes('xof') =	'x-world/x-vrml';
mimes('xpm') =	'image/x-xpixmap';
mimes('xwd') =	'image/x-xwindowdump';
mimes('z') =	'application/x-compress';
mimes('zip') =	'application/zip';

[~, ~, fileext] = fileparts(filename);
if ~isempty(fileext) && strcmp(fileext(1), '.')
    lext = numel(fileext);
    fileext = fileext(2:lext);
end

if mimes.isKey(fileext)
    mimetype = mimes(fileext);
else
    mimetype = {};
end

end
