function [fileList] = getOutputVhistFiles(section, patterns)

fileList = {};

translate = @(x) regexptranslate('wildcard', x);
patterns = cellstr(patterns);
regexps = cellfun(translate, patterns, 'UniformOutput', false);

for i = 1 : numel(section.files)
    file = section.files(i);
    if strcmp(file.purpose, 'out')
        if isempty(regexps) || matvhist.matchesAnyRegexp(file.filename, ...
                                                         regexps)
            vhistName = [file.filename '.vhist'];
            fileList = [fileList, vhistName];
        end
    end
end

end
