function username = getUsername()
% GETUSERNAME    Returns the name of the current user.
%    Returns the name of the user running this Matlab session. If the
%    username can not be determined, an empty cell array {} will be
%    returned.

if isunix
    command = 'whoami';
    [result, username] = system(command);
    if result ~= 0
        username = {};
    end
else
    username = getenv('USERNAME');
    if strcmp(username, '')
        username = {};
    end
end

username = strtrim(username);

end
