
% Don't forget to first add the matvhist directory to your matlab path.
% Otherwise, this example won't work.

clear all

section = matvhist.VhistSection('Structuring Workflows');

infile1  = matvhist.VhistFile('image.png', 'in');
infile2  = matvhist.VhistFile('reference.png', 'in');
infile3  = matvhist.VhistFile('config.txt', 'in');

outfile1 = matvhist.VhistFile('image.png', 'out');
outfile2 = matvhist.VhistFile('statistics.mat', 'out');
outfile3 = matvhist.VhistFile('output.log', 'out');

section.files = [infile1, infile2, infile3, outfile1, outfile2, outfile3];

[section, rootfile, outputFiles] = matvhist.handleVhistFiles( ...
                                   section, '*.png', {'*.png', '*.mat'});

% rootfile == 'image.png.vhist'
% outputFiles == {'image.png.vhist', 'statistics.mat.vhist'}
% section.files contains an additional file 'reference.png.vhist'

section.addVhistSection(outputFiles, rootfile);
